%global pypi_name url-normalize

Name:           python-%{pypi_name}
Version:        1.4.3
Release:        %mkrel 1
Summary:        URL normalization for Python
Group:          Development/Python

License:        MIT
URL:            https://pypi.org/project/url-normalize/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
URI Normalization function:
    Take care of IDN domains.
    Always provide the URI scheme in lowercase characters.
    Always provide the host, if any, in lowercase characters.
    Only perform percent-encoding where it is essential.
    Always use uppercase A-through-F characters when percent-encoding.
    Prevent dot-segments appearing in non-relative URI paths.
    For schemes that define a default authority, use an empty authority if the default is desired.
    For schemes that define an empty path to be equivalent to a path of "/", use "/".
    For schemes that define a port, use an empty port if the default is desired
    All portions of the URI must be utf-8 encoded NFC from Unicode strings

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
URI Normalization function:
    Take care of IDN domains.
    Always provide the URI scheme in lowercase characters.
    Always provide the host, if any, in lowercase characters.
    Only perform percent-encoding where it is essential.
    Always use uppercase A-through-F characters when percent-encoding.
    Prevent dot-segments appearing in non-relative URI paths.
    For schemes that define a default authority, use an empty authority if the default is desired.
    For schemes that define an empty path to be equivalent to a path of "/", use "/".
    For schemes that define a port, use an empty port if the default is desired
    All portions of the URI must be utf-8 encoded NFC from Unicode strings

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check

%files -n python3-%{pypi_name}
%doc LICENSE
%doc README.md
%{python3_sitelib}/url_normalize
%{python3_sitelib}/url_normalize-%{version}-py%{python3_version}.egg-info/


%changelog
* Sat Mar 19 2022 guillomovitch <guillomovitch> 1.4.3-1.mga9
+ Revision: 1801636
- imported package python-url-normalize

